Agent (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class Agent

    java.lang.Object
      edu.harvard.hul.ois.jhove.Agent

    public class Agent

extends java.lang.Object

Encapsulates information about agents, either individual persons or corporate bodies.

Constructor Summary
`Agent(java.lang.String name, AgentType type)` Creates an Agent given a name and an AgentType.

Method Summary
`java.lang.String` | `getAddress()` Returns the value of the address property.
`java.lang.String` | `getEmail()` Returns the value of the email property.
`java.lang.String` | `getFax()` Returns the value of the fax property.
`java.lang.String` | `getName()` Returns the value of the name property.
`java.lang.String` | `getNote()` Returns the value of the note property.
`java.lang.String` | `getTelephone()` Returns the value of the telephone property.
`AgentType` | `getType()` Returns the value of the type property.
`java.lang.String` | `getWeb()` Returns the value of the web property.
`void` | `setAddress(java.lang.String address)` Sets the value of the address property.
`void` | `setEmail(java.lang.String email)` Sets the value of the email property.
`void` | `setFax(java.lang.String fax)` Sets the value of the fax property.
`void` | `setName(java.lang.String name)` Sets the value of the name property.
`void` | `setNote(java.lang.String note)` Sets the value of the note property.
`void` | `setTelephone(java.lang.String telephone)` Sets the value of the telephone property.
`void` | `setWeb(java.lang.String web)` Sets the value of the web property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Agent

    public Agent(java.lang.String name,
                 AgentType type)

  Creates an Agent given a name and an AgentType.

Method Detail

### getAddress

    public java.lang.String getAddress()

  Returns the value of the address property.

### getEmail

    public java.lang.String getEmail()

  Returns the value of the email property.

### getFax

    public java.lang.String getFax()

  Returns the value of the fax property.

### getName

    public java.lang.String getName()

  Returns the value of the name property.

### getNote

    public java.lang.String getNote()

  Returns the value of the note property.

### getTelephone

    public java.lang.String getTelephone()

  Returns the value of the telephone property.

### getType

    public AgentType getType()

  Returns the value of the type property.

### getWeb

    public java.lang.String getWeb()

  Returns the value of the web property.

### setAddress

    public void setAddress(java.lang.String address)

  Sets the value of the address property.

### setEmail

    public void setEmail(java.lang.String email)

  Sets the value of the email property.

### setFax

    public void setFax(java.lang.String fax)

  Sets the value of the fax property.

### setName

    public void setName(java.lang.String name)

  Sets the value of the name property.

### setNote

    public void setNote(java.lang.String note)

  Sets the value of the note property.

### setTelephone

    public void setTelephone(java.lang.String telephone)

  Sets the value of the telephone property.

### setWeb

    public void setWeb(java.lang.String web)

  Sets the value of the web property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD